Bug 222596 - gnome-control-panel will always crash with a segfault
gnome-control-panel will always crash with a segfault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
6
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-14 20:40 EST by Brian Wright
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:21:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Strace output from running gnome-control-center (672.31 KB, text/plain)
2007-01-14 20:40 EST, Brian Wright
no flags Details

  None (edit)
Description Brian Wright 2007-01-14 20:40:34 EST
Description of problem: gnome-control-center constantly crashes when trying to start


Version-Release number of selected component (if applicable):
control-center-2.16.0-11.fc6


How reproducible: Starting gnome-control-ceneter from either the command line or
GNOME will always result in a crash.


Steps to Reproduce:
1. Start gnome-control-center from either the command line in a terminal or from
GNOME's "Run" facility
2.
3.
  
Actual results:
gnome-control-center crashes with a segmentation fault

Expected results:
gnome-control-center should start and run normally

Additional info:  Bug buddy didn't create a bug report file, I have attached
output from strace.

This segfault happens with all users, including root
Comment 1 Brian Wright 2007-01-14 20:40:35 EST
Created attachment 145548 [details]
Strace output from running gnome-control-center
Comment 2 Bastien Nocera 2007-02-14 08:24:35 EST
Could you please gather a backtrace with the control-center-debuginfo,
glib2-debuginfo and gtk2-debuginfo packages installed?

Some instructions are available at:
http://fedoraproject.org/wiki/StackTraces
Comment 3 Bug Zapper 2008-04-04 01:36:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 13:21:20 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.